%define upstream_name    MooseX-Alien
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Extend a non-Moose class with Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
The fact that Moose objects are hashrefs means it is easy to use Moose to
extend non-Moose classes, as long as they too are hash references.

This role usses an approach similar to the defined in the
Moose::Cookbook::FAQ manpage. However this role will call BUILDARGS and
BUILDALL

This approach may not work for all classes. The alien class must be
implemented using a HASHREF and the constructor must accept either a list
of name/value pairs or a HASHREF

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-2.mga4
+ Revision: 521998
- Mageia 4 Mass Rebuild

* Mon Feb 04 2013 jquelin <jquelin> 1.10.0-1.mga3
+ Revision: 394505
- imported package perl-MooseX-Alien


* Mon Feb 04 2013 cpan2dist 1.01-1mga
- initial mageia release, generated with cpan2dist
